<?php

namespace Teknisa\CADFIS\Factories;

use Doctrine\ORM\EntityManager;

class AgrupInscEstaFactory {
  
    protected $connection;

    public function __construct(EntityManager $entityManager) {
      $this->connection = $entityManager->getConnection();
    }
    
    public function selectInscEst($cdinscesta,$cdgrupinscesta) { 
    
        $sql = "SELECT * FROM GRUPINSCESTA 
                 WHERE CDINSCESTA = :CDINSCESTA 
                 AND CDGRUPINSCESTA = :CDGRUPINSCESTA";
        
        $std = $this->connection->prepare($sql);
        
        $params = array(
            "CDINSCESTA"       => $cdinscesta,
            "CDGRUPINSCESTA"     => $cdgrupinscesta,
        );
        
        $std->execute($params);
        
        return $std->fetch();
        
    }
  
    public function saveAgrupInscEsta($params) {
        // Query a ser executada.
        $sql = "INSERT INTO GRUPINSCESTA (
                                        CDGRUPINSCESTA,
                                        CDINSCESTA,
                                        NRORG,
                                        IDATIVO,
                                        DTINCLUSAO,
                                        DTULTATU,
                                        NRORGINCLUSAO,
                                        CDOPERINCLUSAO,
                                        NRORGULTATU,
                                        CDOPERULTATU
                                    ) VALUES (  
                                        :CDGRUPINSCESTA, 
                                        :CDINSCESTA, 
                                        :NRORG, 
                                        :IDATIVO, 
                                        :DTINCLUSAO, 
                                        :DTULTATU, 
                                        :NRORGINCLUSAO, 
                                        :CDOPERINCLUSAO, 
                                        :NRORGULTATU, 
                                        :CDOPERULTATU)";

        // Prepara o statement da query para execução.
        $std = $this->connection->prepare($sql);
        
        // Executa o statement com os paràmetros passados.
        $std->execute($params);
        
    } 
  
}